Bug 1472969 - [LLNL 7.5 Bug] DWARF5 support in eu-readelf
[LLNL 7.5 Bug] DWARF5 support in eu-readelf
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: elfutils (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Mark Wielaard
Martin Cermak
Vladimír Slávik
: Rebase
Depends On: 1472955 1472978
Blocks: 1432486 1471969 1472966 1472971 1522983 1472979
  Show dependency treegraph
 
Reported: 2017-07-19 13:15 EDT by Ben Woodard
Modified: 2018-01-11 03:41 EST (History)
10 users (show)

See Also:
Fixed In Version: elfutils-0.170-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1472955
: 1472971 1472979 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 21792 None None None 2017-10-16 03:46 EDT

  None (edit)
Comment 2 Mark Wielaard 2017-10-16 03:46:19 EDT
The correct upstream bug is https://sourceware.org/bugzilla/show_bug.cgi?id=21792 which has been resolved for the 0.170 release:

Although it isn't full DWARF5 support all DWARF5 tags and attributes are recognized in 0.170. From the NEWS file:

Version 0.170

libdw: Added new DWARF5 attribute, tag, character encoding, language code,
       calling convention, defaulted member function and macro constants
       to dwarf.h.
       New functions dwarf_default_lower_bound and dwarf_line_file.
       dwarf_peel_type now handles DWARF5 immutable, packed and shared tags.
       dwarf_getmacros now handles DWARF5 .debug_macro sections.

And the above example now shows:

 [   7e1]      namespace
               name                 (strp) "__cxx11"
               decl_file            (data1) 1
               decl_line            (data2) 2214
               export_symbols       (flag_present) yes
Comment 9 Martin Cermak 2018-01-08 04:38:59 EST
Rebase testing finished with elfutils-0.170-4.el7.

Note You need to log in before you can comment on or make changes to this bug.